public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/master-pdf-editor/
Date: Mon,  4 May 2020 14:11:23 +0000 (UTC)	[thread overview]
Message-ID: <1588601461.39eebea2b3eeae3e6504bf1fff50cd76f7158b0e.juippis@gentoo> (raw)

commit:     39eebea2b3eeae3e6504bf1fff50cd76f7158b0e
Author:     Joao Santos <joaompssantos <AT> gmail <DOT> com>
AuthorDate: Fri Apr 10 16:30:20 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon May  4 14:11:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39eebea2

app-text/master-pdf-editor: fixes version 5.4.38

Makes master-pdf-editor use the bundled libraries

Closes: https://bugs.gentoo.org/715288
Signed-off-by: João Santos <joaompssantos <AT> gmail.com>
Package-Manager: Portage-2.3.98, Repoman-2.3.22
Closes: https://github.com/gentoo/gentoo/pull/15290
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-text/master-pdf-editor/Manifest                |  1 +
 .../master-pdf-editor-5.4.38-r1.ebuild             | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-text/master-pdf-editor/Manifest b/app-text/master-pdf-editor/Manifest
index d71a6144da7..0e5e99aed5c 100644
--- a/app-text/master-pdf-editor/Manifest
+++ b/app-text/master-pdf-editor/Manifest
@@ -1,2 +1,3 @@
 DIST master-pdf-editor-5.2.20_qt5.amd64.tar.gz 16261577 BLAKE2B 112c8d308875d36e3a71d28ae407eb78a0f714383fc005dc020cdb911a5596548274a55466133d8e03cbf47df29c062973f243f88ad0b1e9caa8410fbdfe2b8d SHA512 85b095603da1114cd4749ddbcf7bdd513c868ee17434df47037f7e0b914546fd13a6911949579ee981b5c33dcb13eb0ffa9585d4cbedd9bff4dc56e32bdcf4cb
 DIST master-pdf-editor-5.3.22_qt5.amd64.tar.gz 16410658 BLAKE2B fc9cb09e58625534d12b8fe4ff657917f76a14578341c678d6be909a5f2e7a75b4587c2f1abfac66741c088b43943a30874f6ae1414ae735ee01254f019c02b3 SHA512 033914e94c9ae4114243e79be445f523a6bbc6c39527db786613ef7220bedb2412ea75c83210ed8b6096d045afce73bc8f6141b55995f2f9c464ef4a7fd69d16
+DIST master-pdf-editor-5.4.38-qt5-all.amd64.tar.gz 38044035 BLAKE2B 60fbbaaaea47a1a572ea39a0c15e0d5a9b8a2f6d9fa68c06eea6279e5728cc84016514db5e91fc2a2a0b35a462325fc8cd66b1f9eb5bff5b4815c926587eeec5 SHA512 1f94bdd6a70d352c246081a40cd81801cf9b658ff1121572a91ee5bb3589e36d6db3c5db7ad54692334e04487c29ce6ef0b9381a6895467f1bb6ef0d9e00e00e

diff --git a/app-text/master-pdf-editor/master-pdf-editor-5.4.38-r1.ebuild b/app-text/master-pdf-editor/master-pdf-editor-5.4.38-r1.ebuild
new file mode 100644
index 00000000000..e5bb5285e55
--- /dev/null
+++ b/app-text/master-pdf-editor/master-pdf-editor-5.4.38-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop xdg-utils
+
+DESCRIPTION="A complete solution for viewing and editing PDF files"
+HOMEPAGE="https://code-industry.net/free-pdf-editor/"
+SRC_URI="https://code-industry.net/public/${P}-qt5-all.amd64.tar.gz"
+
+LICENSE="master-pdf-editor"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="mirror"
+
+RDEPEND=">=media-gfx/sane-backends-1.0"
+
+QA_PREBUILT="/opt/${PN}/masterpdfeditor5
+	/opt/${PN}/lib/*.so*
+	/opt/${PN}/iconengines/*.so*
+	/opt/${PN}/platformthemes/*.so*
+	/opt/${PN}/printsupport/*.so*
+	/opt/${PN}/platforms/*.so*
+	/opt/${PN}/imageformats/*.so*
+"
+
+S="${WORKDIR}/${PN}-${PV%%.*}"
+
+src_prepare() {
+	sed -i 's/libpath=$(cd "$(dirname "$0")"; pwd)/libpath=$(cd "$(dirname $(readlink -f `which "$0"`))"; pwd)/' "${WORKDIR}"/*/masterpdfeditor5.sh || die
+	sed -i 's/dirname=`dirname $0`/dirname=$libpath/' "${WORKDIR}"/*/masterpdfeditor5.sh || die
+
+	eapply_user
+}
+
+src_install() {
+	insinto /opt/${PN}
+	doins -r fonts iconengines imageformats lang lib platforms platformthemes printsupport stamps templates masterpdfeditor5.png
+
+	exeinto /opt/${PN}
+	doexe masterpdfeditor5 masterpdfeditor5.sh
+	dosym ../${PN}/masterpdfeditor5.sh /opt/bin/masterpdfeditor5
+
+	make_desktop_entry "masterpdfeditor5 %f" \
+		"Master PDF Editor ${PV}" /opt/${PN}/masterpdfeditor5.png \
+		"Office;Graphics;Viewer" \
+		"MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;\nTerminal=false"
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


             reply	other threads:[~2020-05-04 14:11 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-04 14:11 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-10 12:05 [gentoo-commits] repo/gentoo:master commit in: app-text/master-pdf-editor/ Andreas K. Hüttel
2024-07-29 11:20 Andrey Grozin
2024-07-06 12:46 Andrey Grozin
2024-02-17  4:48 Andrey Grozin
2024-02-17  4:25 Andrey Grozin
2024-02-17  4:20 Andrey Grozin
2023-03-21  6:04 Andrey Grozin
2023-03-21  6:02 Andrey Grozin
2023-02-15 15:59 Andrey Grozin
2022-05-10  6:49 Florian Schmaus
2022-05-10  6:49 Florian Schmaus
2022-02-26  2:30 Sam James
2022-02-26  2:30 Sam James
2022-02-26  2:30 Sam James
2021-11-29  7:42 Joonas Niilola
2021-11-29  7:42 Joonas Niilola
2021-10-20  2:42 Sam James
2021-10-20  2:42 Sam James
2021-08-06  9:54 Florian Schmaus
2021-08-06  9:54 Florian Schmaus
2021-04-10  7:45 Joonas Niilola
2021-04-10  7:45 Joonas Niilola
2021-02-25 12:13 Andrey Grozin
2021-01-22  7:07 Joonas Niilola
2020-12-09  9:42 Joonas Niilola
2020-12-09  9:42 Joonas Niilola
2020-12-09  9:42 Joonas Niilola
2020-10-02  8:42 Joonas Niilola
2020-05-04 14:11 Joonas Niilola
2020-05-04 14:11 Joonas Niilola
2020-05-04 14:11 Joonas Niilola
2019-08-13 15:09 Joonas Niilola
2019-04-07  8:29 Michał Górny
2019-02-18 19:41 Patrice Clement
2019-02-03 18:31 Andreas Sturmlechner
2019-02-03 18:31 Andreas Sturmlechner
2019-01-21 22:51 Patrice Clement
2019-01-21 22:51 Patrice Clement
2019-01-21 22:51 Patrice Clement
2019-01-21 22:51 Patrice Clement
2019-01-16 21:00 Andreas Sturmlechner
2018-09-21 16:04 Michał Górny
2018-09-16 19:39 Michał Górny
2018-09-16 19:39 Michał Górny
2018-09-16 19:39 Michał Górny
2018-09-16 19:39 Michał Górny
2018-09-16 19:39 Michał Górny
2018-08-08  1:13 Mikle Kolyada
2018-08-07 22:27 Patrice Clement
2018-08-07 12:10 Michał Górny
2018-08-07 12:10 Michał Górny
2018-08-07 12:10 Michał Górny
2018-06-09  6:30 Michał Górny
2018-02-09 14:51 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1588601461.39eebea2b3eeae3e6504bf1fff50cd76f7158b0e.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox